Bug 989719 - [abrt] bash-4.2.45-1.fc18: read_token_word: Process /usr/bin/bash was killed by signal 11 (SIGSEGV)
[abrt] bash-4.2.45-1.fc18: read_token_word: Process /usr/bin/bash was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Oprala
Fedora Extras Quality Assurance
abrt_hash:ff21657e17eae8dc1a533c69d62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 15:06 EDT by Moez Roy
Modified: 2016-01-31 21:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:12:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (167.01 KB, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: cgroup (156 bytes, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: core_backtrace (708 bytes, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: dso_list (666 bytes, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: environ (238 bytes, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: maps (2.93 KB, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: open_fds (99 bytes, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details
File: proc_pid_status (892 bytes, text/plain)
2013-07-29 15:06 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-07-29 15:06:29 EDT
Version-Release number of selected component:
bash-4.2.45-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /bin/sh -c 'if grep \'^TracerPid:[[:space:]]*[123456789]\' proc_pid_status >/dev/null 2>&1; then\n            # We see \'TracerPid: <nonzero>\" in /proc/PID/status\n            # Process is ptraced (gdb, strace, ltrace)\n            # Debuggers have wide variety of bugs where they leak SIGTRAP\n            # to traced process and nuke it. Ignore this crash.\n            echo \"The crashed process was ptraced - not saving the crash\"\n            exit 1  # abrt will remove the problem directory\n        fi\n        if grep -q ^ABRT_IGNORE_ALL=1 environ \\\n        || grep -q ^ABRT_IGNORE_CCPP=1 environ \\\n        ; then\n            echo \"ABRT_IGNORE variable is 1 - not saving the crash\"\n            # abrtd will delete the problem directory when we exit nonzero:\n            exit 1\n        fi\n        # Try generating backtrace, if it fails we can still use\n        # the UUID generated by abrt-action-analyze-c\n        ##satyr migration:\n        #satyr abrt-create-core-stacktrace \"$DUMP_DIR\"\n        abrt-action-generate-core-backtrace\n        abrt-action-analyze-c &&\n        abrt-action-list-dsos -m maps -o dso_list &&\n        (\n            # Try to save relevant log lines.\n            # Can\'t do it as analyzer step, non-root can\'t read log.\n            # It\'s not an error if /var/log/messages isn\'t readable:\n            test -f /var/log/messages || exit 0\n            test -r /var/log/messages || exit 0\n            executable=`cat executable` &&\n            base_executable=${executable##*/} &&\n            log=`grep -F -e \"$base_executable\" /var/log/messages | tail -99` &&\n            if test -n \"$log\"; then\n                printf \"%s\\n\" \"$log\" >var_log_messages\n                # echo \"Element \'var_log_messages\' saved\"\n            fi\n        )'
crash_function: read_token_word
executable:     /usr/bin/bash
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            0
var_log_messages: Jul 28 17:51:18 localhost abrt[19234]: Saved core dump of pid 19232 (/usr/bin/bash) to /var/tmp/abrt/ccpp-2013-07-28-17:51:17-19232 (495616 bytes)

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 read_token_word at ./parse.y:4683
 #1 read_token at ./parse.y:3082
 #3 yylex at ./parse.y:2519
 #4 yyparse at y.tab.c:2061
 #5 parse_command at eval.c:229
 #6 parse_and_execute at evalstring.c:252
 #7 run_one_command at shell.c:1325
Comment 1 Moez Roy 2013-07-29 15:06:33 EDT
Created attachment 780098 [details]
File: backtrace
Comment 2 Moez Roy 2013-07-29 15:06:36 EDT
Created attachment 780099 [details]
File: cgroup
Comment 3 Moez Roy 2013-07-29 15:06:39 EDT
Created attachment 780100 [details]
File: core_backtrace
Comment 4 Moez Roy 2013-07-29 15:06:41 EDT
Created attachment 780101 [details]
File: dso_list
Comment 5 Moez Roy 2013-07-29 15:06:44 EDT
Created attachment 780102 [details]
File: environ
Comment 6 Moez Roy 2013-07-29 15:06:47 EDT
Created attachment 780103 [details]
File: limits
Comment 7 Moez Roy 2013-07-29 15:06:51 EDT
Created attachment 780104 [details]
File: maps
Comment 8 Moez Roy 2013-07-29 15:06:54 EDT
Created attachment 780105 [details]
File: open_fds
Comment 9 Moez Roy 2013-07-29 15:06:57 EDT
Created attachment 780106 [details]
File: proc_pid_status
Comment 10 Fedora Admin XMLRPC Client 2013-10-07 07:48:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-12-21 09:24:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:12:07 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.